import { AdContent } from "../businessObjects/AdContent";
import { VersionedObject, VersionedObjectMigrator } from "../businessObjects/VersionedObject";
import { AdKey, EVMContractAddress, IpfsCID, UnixTimestamp, EAdDisplayType } from "../primitives";
export declare class EligibleAd extends VersionedObject {
    consentContractAddress: EVMContractAddress;
    queryCID: IpfsCID;
    key: AdKey;
    name: string;
    content: AdContent;
    text: string | null;
    displayType: EAdDisplayType;
    weight: number;
    expiry: UnixTimestamp;
    keywords: string[];
    static CURRENT_VERSION: number;
    constructor(consentContractAddress: EVMContractAddress, queryCID: IpfsCID, key: AdKey, // 'a1'
    name: string, content: AdContent, text: string | null, displayType: EAdDisplayType, weight: number, expiry: UnixTimestamp, keywords: string[]);
    getUniqueId(): string;
    getVersion(): number;
}
export declare class EligibleAdMigrator extends VersionedObjectMigrator<EligibleAd> {
    getCurrentVersion(): number;
    protected factory(data: Record<string, unknown>): EligibleAd;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=EligibleAd.d.ts.map