import { ResultAsync } from "neverthrow";
import { TokenAddress, TokenInfo, TokenMarketData } from "../businessObjects";
import { AccountIndexingError, PersistenceError } from "../errors";
import { ChainId, UnixTimestamp } from "../primitives";
export interface ITokenPriceRepository {
    getTokenInfo(chainId: ChainId, contractAddress: TokenAddress | null): ResultAsync<TokenInfo | null, AccountIndexingError>;
    addTokenInfo(info: TokenInfo): ResultAsync<void, PersistenceError>;
    getTokenPrice(chainId: ChainId, contractAddress: TokenAddress | null, timestamp: UnixTimestamp): ResultAsync<number, AccountIndexingError>;
    getTokenMarketData(ids: string[]): ResultAsync<TokenMarketData[], AccountIndexingError>;
    getMarketDataForTokens(tokens: {
        chain: ChainId;
        address: TokenAddress | null;
    }[]): ResultAsync<Map<`${ChainId}-${TokenAddress}`, TokenMarketData>, AccountIndexingError>;
}
export declare const ITokenPriceRepositoryType: unique symbol;
//# sourceMappingURL=ITokenPriceRepository.d.ts.map